
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用npm发布Node.JS程序包教程 / iVAN</title>

    <meta name="description" content="使用npm发布Node.JS程序包教程  这篇文章主要介绍了使用npm发布Node.JS程序包教程,本文讲解了配置package.json.注册npm帐号.发布程序包等内容,需要的朋友可以参考下     npm是Node.JS的程序包管理器.进行Node.JS开发时,经常使用它安装/卸载程序包.实际上,发布程序包的工作也是由它来完成的. 配置package.json 要打包程序,首先要配好各项设置,这些设置都由程序包根目录下的package.json指定.package.json的内容必须是严格的JSON格式,也就是说: 1.字符串要">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用npm发布Node.JS程序包教程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 这篇文章主要介绍了使用npm发布Node.JS程序包教程,本文讲解了配置package.json、注册npm帐号、发布程序包等内容,需要的朋友可以参考下</p>
<p> <br />
 </p>
<p>npm是Node.JS的程序包管理器。进行Node.JS开发时，经常使用它安装/卸载程序包。实际上，发布程序包的工作也是由它来完成的。</p>
<p>配置package.json</p>
<p>要打包程序，首先要配好各项设置，这些设置都由程序包根目录下的package.json指定。package.json的内容必须是严格的JSON格式，也就是说：</p>
<p>1.字符串要用双引号括起来，而不能用单引号；<br />
2.属性名一定要加双引号；<br />
3.最后一个属性后千万不要多加一个逗号。</p>
<p>配置对象的属性很多，具体可以参阅这里，这里列一下常用的项目：</p>
<p>1.name：程序包名，不能跟已有的程序包重复。<br />
2.version：版本号。<br />
3.description：一段简短的介绍。<br />
4.author：作者信息。包含name、email、url三项属性。<br />
5.bin：如果程序中有可执行文件（主要是命令行里面调用的），就在这里指定，可以指定多个。<br />
6.main：使用require调用本程序包时的程序入口。<br />
7.dependencies：依赖的程序包，可以指定版本号。<br />
配置好package.json后，可以先在本地打包安装一次，测试程序运作是否正常，安装命令为：</p>
<p>代码如下:<br />
<br />
npm install  &lt;本地路径&gt;<br />
<br />
另外，还有一条潜规则要注意，如果你希望程序包中的可执行程序在Node.JS的环境中运行，那么，请在程序入口文件的最前面加上这样一行：<br />
代码如下:<br />
<br />
#!/usr/bin/env  node<br />
<br />
如果没有这一行，它将以系统默认的方式打开，而不是在Node.JS的环境中运行。<br />
<br /> </p>
<p>注册npm帐号</p>
<p>要把程序包发布到npm，还需要先注册一个帐号。npm并没有提供网页版的注册向导。注册也要通过命令行来进行：</p>
<p>代码如下:<br />
<br />
npm  adduser<br />
<br />
执行此命令后，会依次出现输入用户名、Email、密码的提示，输入好之后等待一会儿就可以了。<br />
<br /> </p>
<p>发布程序包</p>
<p>准备工作都做好了，执行下面的命令就可以发布程序包：</p>
<p>代码如下:<br />
<br />
npm publish  &lt;本地路径&gt;<br />
<br />
如果要更新程序包，只要修改一下package.json中的版本号，再重新执行发布命令就可以了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 17:35:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%91%bd%e4%bb%a4/" title="命令">命令</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e5%b8%90%e5%8f%b7/" title="帐号">帐号</a>, <a href="https://www.iamivan.net/tag/%e5%bc%95%e5%8f%b7/" title="引号">引号</a>, <a href="https://www.iamivan.net/tag/package/" title="package">package</a>, <a href="https://www.iamivan.net/tag/npm-node-js-socket/" title="npm node&period;js socket">npm node&period;js socket</a>, <a href="https://www.iamivan.net/tag/node-js%e5%8c%85%e7%ae%a1%e7%90%86%e5%99%a8/" title="node&period;js包管理器">node&period;js包管理器</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%8f%91%e5%b8%83/" title="程序发布">程序发布</a>, <a href="https://www.iamivan.net/tag/npm/" title="npm">npm</a>, <a href="https://www.iamivan.net/tag/npm%e5%b8%b8%e7%94%a8%e5%91%bd%e4%bb%a4/" title="npm常用命令">npm常用命令</a>, <a href="https://www.iamivan.net/tag/npm%e5%91%bd%e4%bb%a4/" title="npm命令">npm命令</a>, <a href="https://www.iamivan.net/tag/npm%e5%ae%89%e8%a3%85/" title="npm安装">npm安装</a>, <a href="https://www.iamivan.net/tag/node-js%e4%bb%a3%e7%a0%81%e6%ae%b5/" title="Node&period;js代码段">Node&period;js代码段</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%8c%85/" title="程序包">程序包</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用npm发布Node.JS程序包教程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NYamz.html" rel="bookmark">使用npm发布Node&period;JS程序包教程&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				npm是Node.JS的程序包管理器.进行Node.JS开发时,经常使用它安装/卸载程序包.实际上,发布程序包的工作也是由它来完成的. 配置package.json 要打包程序,首先要配好各项设置,这些设置都由程序包根目录下的package.json指定.package.json的内容必须是严格的JSON格式,也就是说: 1.字符串要用双引号括起来,而不能用单引号: 2.属性名一定要加双引号: 3.最后一个属性后千万不要多加一个逗号. 配置对象的属性很多,具体可以参阅这里,这里列一下常用的项目:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zenK77b.html" rel="bookmark">在Visual Studio上开发Node&period;js程序&lpar;2&rpar;&mdash;&mdash;远程调试及发布到Azure</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:在Visual Studio上开发Node.js程序(2)--远程调试及发布到Azure [题外话] 上次介绍了VS上开发Node.js的插件Node.js Tools for Visual Studio(NTVS),其提供了非常方便的开发和调试功能,当然很多情况下由于平台限制等原因需要在其他机器上运行程序,进而需要远程调试功能,不过还好,NTVS提供的远程调试也非常方便.   [系列索引] 在Visual Studio上开发Node.js程序--NTVS介绍及使用 在Visual Stu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4XKwp.html" rel="bookmark">在Mac OS下使用Node&period;js的简单教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了在Mac OS下使用Node.js的简单教程,Node.js是让JavaScript应用运行于服务器端的框架,需要的朋友可以参考下 这里有一篇很好的 Node.js 介绍文章 great nodejs intro ,它将给你一个非常方便的介绍 Node.js 和 CouchDB,并给出一个实例实现 REST 的服务用于执行书签的 CRUD 操作,使用 CouchDB 作为数据库. 本文将介绍在 Mac OS X 下安装并开始使用 Node.js ,这个过程大概需要 30 分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqD4mb.html" rel="bookmark">在Visual Studio上开发Node&period;js程序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:在Visual Studio上开发Node.js程序 [题外话] 最近准备用Node.js做些东西,于是找找看能否有Visual Studio上的插件以方便开发.结果还真找到了一个,来自微软的Node.js Tools for Visual Studio(NTVS),虽然现在仅发布了1.0 Alpha版本,但使用起来已经非常方便.而且,其开发团队与Python Tools for Visual Studio(PTVS)是同一个,而PTVS就是Visual Studio 2013中要创建自带			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NYxDz.html" rel="bookmark">Node&period;js的包详细介绍&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Node.js语言中,包和模块并没有本质的不同,包是在模块的基础上更深一步的抽象,包将某个独立的功能封装起来,用于发布.更新.依赖管理和进行版本控制.Node.js根据CommonJS规范实现了包机制,开发了npm来解决包的发布和获取需求. Node.js的包是一个目录,其中包含JSON格式的包说明文件package.json.Node.js的包基本遵循CommonJS规范,因此具备以下特征: CommonJS规范定义的包特性: 1)顶层目录包含package.json文件: 2)bin目录存			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPQkrz.html" rel="bookmark">把Node&period;js程序加入服务实现随机启动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了把Node.js程序加入服务实现随机启动,本文使用qckwinsvc实现这个需求,讲解了qckwinsvc的安装和使用,需要的朋友可以参考下 如何开机就启动node.js程序 代码如下: npm install -g qckwinsvc 定位到安装目录,node_modules/.bin/ 运行如下命令: 代码如下: &gt; qckwinsvc prompt: Service name: [name for your service] prompt: Service descr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBky0oM.html" rel="bookmark">把Node&period;js程序加入服务实现随机启动&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何开机就启动node.js程序 复制代码 代码如下: npm install -g qckwinsvc 定位到安装目录,node_modules/.bin/ 运行如下命令: 复制代码 代码如下: &gt; qckwinsvc prompt: Service name: [name for your service] prompt: Service description: [description for it] prompt: Node script path: [path of your nod			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx5wWb.html" rel="bookmark">充分发挥Node&period;js程序性能的一些方法介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了充分发挥Node.js程序性能的一些方法介绍,Node.js是把JavaScript用于服务器端的框架,需要的朋友可以参考下 一个Node.JS 的进程只会运行在单个的物理核心上,就是因为这一点,在开发可扩展的服务器的时候就需要格外的注意. 因为有一系列稳定的API,加上原生扩展的开发来管理进程,所以有很多不同的方法来设计一个可以并行的Node.JS运用.在这篇博文里,我们就来比较下这些可能的架构. 这篇文章同时也介绍compute-cluster 模块:一个小型的Node			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPN7wZb.html" rel="bookmark">node&period;js环境搭建教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Node.js是一个JavaScript运行环境,但是实际上他是多谷歌V8引擎进行封装,node对一些特殊的用例进行了优化,提供了API,让V8更加好的在非浏览器情况下运行,下面小编就为大家介绍一下node.js环境搭建教程 Node.js是一个事件驱动I/O服务端JavaScript环境.由于其拥有异步非阻塞.环境搭建简单.实践应用快等特性,使得其在新一代编程开发中更为流行.同时,由于Node.js 基于JavaScript语法,因此在学习Node.js时也可以了解和学习JavaScrip			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqRvep.html" rel="bookmark" class="title">Photoshop调出树林婚片温馨的橙褐色</a>
					<div>
						Photoshop调出树林婚片温馨的橙褐色 素材图片的主色以绿色为主.绿色的层次感不是很强,处理的时候可以把不同层次的绿色转为其他颜色,如暖色等,增加画面的温馨感. 原图: 最终效果: 1.打开原图素 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp56Jaz.html" rel="bookmark" class="title">免费主页空间服务</a>
					<div>
						做主页比做博客复杂一些,但灵活度就大多了,我这里介绍的大多是国外的免费主页空间,因为国外的空间虽然经常被封,但较为稳定,少有关门的,国内的则大部分都关了,而国外的Angelfire.Tripod.Ge ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze940z.html" rel="bookmark" class="title">jQuery&period;extend的用法</a>
					<div>
						合并两个或更多的对象的内容汇集成到第一个对象. jQuery.extend( target, [ object1 ], [ objectN ] ) target 一个对象,如果附加的对象被传递给这个方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4xmJz.html" rel="bookmark" class="title">简单的说说个人对SEO工作的经验和感受</a>
					<div>
						网站的SEO优化推广,几乎是每一个站长都要去做的事情,SEO的工作没有多么神秘和高深莫测,更多需要的就是一个平和再平和的心态和日复一日的坚持不懈.这个工作很考验执行力,实施起来其实并不容易. SEO行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8oPPM.html" rel="bookmark" class="title">c&num;改写的&lpar;vb&period;net&rpar;模拟时钟</a>
					<div>
						  ClockControl.cs using System;using System.Windows.Forms;using System.Drawing;using System.Drawing. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ77kVb.html" rel="bookmark" class="title">网页截图工具php&plus;IECapt简介</a>
					<div>
						IECapt可以将捕获网页,生成BMP.JPEG 或 PNG格式的图片,包含C++和C#两种版本,不足是依赖于Internet Explorer,这就决定了它只能在Windows下使用.IECapt是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7684M.html" rel="bookmark" class="title">高性能的MySQL（5）索引策略-索引案例分析</a>
					<div>
						理解索引最好的办法是结合实例,接下来分析一个例子. 假设要设计一个在线约会网站,用户信息表有很多列,包括国家,地区,城市,性别,眼睛颜色等等.网站必须支持上面的各种组合来搜索用户,包括根据用户的最后在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAveOb.html" rel="bookmark" class="title">asp&period;net夜话之七：ADO&period;NET介绍</a>
					<div>
						ADO.NET是对Microsoft ActiveX Data Objects (ADO)一个跨时代的改进,它提供了平台互用性和可伸缩的数据访问.由于传送的数据都是XML格式的,因此任何能够读取XML ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL1QKb.html" rel="bookmark" class="title">用css3仿造window7的开始菜单</a>
					<div>
						简明创建过程 第一步 :创建如下菜单结构 &lt;div id=&quot;startmenu&quot;&gt;&lt;ul id=&quot;programs&quot;&gt;&lt;li&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2rLEM.html" rel="bookmark" class="title">取消Excel表格中超链接批量的方法</a>
					<div>
						Excel表格中有时候会有超链接,对自己没有用的超链接很烦人,只有几个超链接的话还好说,但是如果遇到那种大面积的超链接怎么办呢?本文就来教你Excel表格中超链接批量取消的方法.   Excel表格中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd67Rmb.html" rel="bookmark" class="title">修改Excel2007网格线的颜色让其与众不同</a>
					<div>
						  ①打开Excel2007,一看,网格线就是灰色的. ②下面,来改颜色,单击左上角office按钮,选择Excel选项. ③在高级标签里面点击网格线颜色按钮,重新设置颜色. ④设置好了应用到Exce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGEVjb.html" rel="bookmark" class="title">怎么获得Win8&period;1 Update 1推送呢？</a>
					<div>
						  下面是修改注册表获得Win8.1 Update 1推送的方法: 第一步. 打开注册表,前往&quot;HKEY_LOCAL_MACHINESOFTWAREMicrosoftWindows&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywk34z.html" rel="bookmark" class="title">echarts3 显示一个地图出现问题</a>
					<div>
						问题描述 echarts3 显示一个地图出现问题 10C 想简单的显示一幅中国地图 可是老有问题 新手求指导 解决方案 求指导是哪里出了问题 该怎么改呢					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oKBDb.html" rel="bookmark" class="title">Apache OFbiz service engine 源码解读</a>
					<div>
						上一篇看完了ofbiz entity engine,这篇再来过一下ofbiz的service engine.service engine层在设计模式的使用上跟entity engine有些类似,最典型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PxBvp.html" rel="bookmark" class="title">由JavaScript中call&lpar;&rpar;方法引发的对面向对象继承机制call的思考&lowbar;javascript技巧</a>
					<div>
						起因: 今天在阅读snandy大神的读jQuery之五(取DOM元素)时,看到有讲到toArray()方法,具体jQuery代码如下: 复制代码 代码如下: toArray: function() { ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamd6wb.html" rel="bookmark" class="title">移动电商，脱掉的是所有人的裤子</a>
					<div>
						移动电商,脱掉的是所有人的裤子,露出的是所有人的短,所有人都有被非礼的危险,如果要遮羞,所有人都要遮羞.无一例外! 不同之处在于,有些人手掌大,能一手遮天,我们于是一点也意识不到,他也有短处.或者,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRl1Xz.html" rel="bookmark" class="title">求帮助啊 急用啊-C&num;如何使用WinHttp&period;WinHttpRequest&period;5&period;1，下面是一段asp的代码，想改写成&period;NET</a>
					<div>
						问题描述 C#如何使用WinHttp.WinHttpRequest.5.1,下面是一段asp的代码,想改写成.NET Set http = CreateObject(&quot;WinHttp.Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQroY8M.html" rel="bookmark" class="title">Sonatype Nexus 搭建Maven 私服</a>
					<div>
						1. 为什么使用Nexus          如果没有私服,我们所需的所有构件都需要通过maven的中央仓库和第三方的Maven仓库下载到本地,而一个团队中的所有人都重复的从maven仓库下载构件无疑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2avAb.html" rel="bookmark" class="title">java-微信 网页授权，第一次能拿到用户信息，之后都拿不到</a>
					<div>
						问题描述 微信 网页授权,第一次能拿到用户信息,之后都拿不到 报错: {&quot;errcode&quot;:40029,&quot;errmsg&quot;:&quot;req id: L3U1Q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlLR9b.html" rel="bookmark" class="title">《Adobe Photoshop CS4中文版经典教程》&mdash;第1课1&period;2节使用工具</a>
					<div>
						1.2 使用工具 Adobe Photoshop CS4中文版经典教程 Photoshop为制作用于打印.在线浏览和移动观看的高级图形提供了一整套工具.如果详细分类介绍Photoshop中所有的工具和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBPPZM.html" rel="bookmark" class="title">关于软件项目后期Fix bug的意义之我见</a>
					<div>
						众所周知:基本上所有的软件项目到后期必不可少的是fix bug,一个软件在交付客户后或交给测试人员测试时都存在一些程序员意想不到的问题.现在有一些成熟的bug跟踪系统,譬如:bugzero,bugzi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDya3z.html" rel="bookmark" class="title">已关注微信公众号，怎么还跳出授权页面？</a>
					<div>
						问题描述 已关注微信公众号,怎么还跳出授权页面? 为什么我关注了公众号还是要通过授权页面手动点击通过?					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAALxAM.html" rel="bookmark" class="title">联想陈旭东：Win8使PC厂商有更多创新空间</a>
					<div>
						[搜狐IT消息](文/刘瑞刚)10月24日消息,微软将于10月26日在全球发布Windows 8,这一被微软寄寓厚望的操作系统,支持触控功能,且引入了微软APP Store.作为微软公司的重要合作伙伴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7n8vM.html" rel="bookmark" class="title">Apache Mina使用手记（三）</a>
					<div>
						Apache Mina使用手记(三) 分类: JAVA 2009-03-13 20:10 12752人阅读 评论(0) 收藏 举报 minaapacheexceptionsessionlog4jslf ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKo9Rb.html" rel="bookmark" class="title">秋色园QBlog技术原理解析：Module之页面基类-生命周期流程&lpar;六&rpar;</a>
					<div>
						文章回顾: 1: 秋色园QBlog技术原理解析:开篇:整体认识(一) --介绍整体文件夹和文件的作用 2: 秋色园QBlog技术原理解析:认识整站处理流程(二) --介绍秋色园业务处理流程 3: 秋色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12aVop.html" rel="bookmark" class="title">个人站长真的很&OpenCurlyDoubleQuote;牛&rdquo;，你了解多少？</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 (文/姜长伟)随着互联网的普及,出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq6RVb.html" rel="bookmark" class="title">FTCon2017｜通联数据首席科学家蒋龙：如何用人工智能发现投资机会？</a>
					<div>
						雷锋网AI金融评论按:3月25日,由开源社.TopGeek.汇智Tek联合主办的中国区块链和金融创新科技峰会(FTCon2017)在上海举行,通联数据首席科学家蒋龙分享了许多关于人工智能时代的智能投资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl22lp.html" rel="bookmark" class="title">Eclipse导出安卓apk文件的图文教程&lowbar;java</a>
					<div>
						安装到Android手机上的apk需要签名,本文描述了如何创建自己的签名及从Eclipse中导出apk. 方法/步骤 1.在Eclipse中选择一个Android工程,然后点击鼠标右键菜单中的&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNZRep.html" rel="bookmark" class="title">Windows server 2008搭建php运行环境图文详解&lpar;php5&period;3&rpar;&lowbar;win服务器</a>
					<div>
						下载php组件包 首先到http://windows.php.net/download/下载你需要的php版本,这里我下载的是php5.3. 下面解压php组件 包到磁盘上. 安装Microsoft  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NqjBb.html" rel="bookmark" class="title">请问怎么把javascript中的json对象传到action的list啊？</a>
					<div>
						问题描述 javascript中:var req_updateStudentScore = {&quot;tbScoreList&quot;: [                            ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.039 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
